[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: open db error

Title: RE: open db error

When I recently upgraded my RH6.1->RH7.3, I had to run a tool called /usr/bin/db_upgrade from the db3_utils rpm package.  Once I did that, then everything worked.

-----Original Message-----
From: Ian Logan [mailto:ian@nmsu.edu]
Sent: Friday, June 07, 2002 10:01 AM
To: Brian Leung
Cc: openldap-software@OpenLDAP.org
Subject: Re: open db error

Are you using the exact same version of the database software
on each machine? It sounds to me like you have different versions
of BerkeleyDB installed, but thats just a guess.

On Sat, Jun 08, 2002 at 12:44:44AM +0800, Brian Leung wrote:
> i get the following error when i tried to copy the database from
> master to replica and i try to use ldapsearch to search the replica
> content:
> 00:35:38  slapd[19621]: ldbm: ==> dn2id.dbb: btree version 6 requires a version upgrade
> 00:35:38 slapd[19621]: <= ldbm_cache_open NULL "dn2id.dbb" errno=17 reason="File exists")
> 00:35:38 slapd[19621]: <= dn2id could not open dn2id.dbb

Ian Logan
Computing & Networking
New Mexico State University
Email: ian@nmsu.edu Phone: 505-646-6034 Fax: 505-646-4560